com.io7m.r2.core

## Class R2GeometryBufferDescription.Builder

- java.lang.Object
- - com.io7m.r2.core.R2GeometryBufferDescription.Builder

- Enclosing class:
    R2GeometryBufferDescription

      public static final class R2GeometryBufferDescription.Builder
      extends Object

  Builds instances of type `R2GeometryBufferDescription`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2GeometryBufferDescription` | `build()` Builds a new `R2GeometryBufferDescription`.
    `R2GeometryBufferDescription.Builder` | `from(R2GeometryBufferDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2GeometryBufferDescriptionType` instance.
    `R2GeometryBufferDescription.Builder` | `from(R2RenderTargetDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
    `R2GeometryBufferDescription.Builder` | `setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Initializes the value for the `area` attribute.
    `R2GeometryBufferDescription.Builder` | `setComponents(R2GeometryBufferComponents components)` Initializes the value for the `components` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2GeometryBufferDescription.Builder from(R2RenderTargetDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2GeometryBufferDescription.Builder from(R2GeometryBufferDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2GeometryBufferDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setArea

          public final R2GeometryBufferDescription.Builder setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Initializes the value for the `area` attribute.
      Parameters:
        `area` - The value for area
      Returns:
        `this` builder for use in a chained invocation

    - #### setComponents

          public final R2GeometryBufferDescription.Builder setComponents(R2GeometryBufferComponents components)

      Initializes the value for the `components` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `components`.

      Parameters:
        `components` - The value for components
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2GeometryBufferDescription build()

      Builds a new `R2GeometryBufferDescription`.
      Returns:
        An immutable instance of R2GeometryBufferDescription
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com